%global webroot %{_datadir}/jenkins/webroot

Name:           js-yui2
Version:        2.9.0
Release:        %mkrel 14
Group:          Development/Java
Summary:        Yahoo User Interface JavaScript library

# Public Domain (partially):
# contains code from Douglas Crockford's json2.js
#   build/yuitest/yuitest.js
#   build/yuitest/yuitest-debug.js
# rest is BSD
License:        BSD and Public Domain
URL:            https://yuilibrary.com/projects/yui2/
# sh clean-tarball.sh
Source0:        js-yui-%{version}-clean.tar.gz
# text of BSD license taken from https://yuilibrary.com/license/
Source1:        LICENSE-BSD
Source2:        clean-tarball.sh
# https://issues.jenkins-ci.org/browse/JENKINS-17050
Patch0:         jenkins-17050-Close-pop-up-menu-when-clicking-outside.patch

BuildRequires:  web-assets-devel
BuildRequires:  python-slimit
Requires:       web-assets-filesystem

BuildArch:      noarch

%description
YUI Library is a set of utilities and controls written in JavaScript,
for building richly interactive web applications. YUI 2 is a mature
version of the library that has been in production since 2006. The
code line is comprised of a comprehensive collection of over 30
utilities and widgets.

%package jenkins
Summary:        Yahoo User Interface JavaScript library for Jenkins

%description jenkins
YUI Library is a set of utilities and controls written in JavaScript,
for building richly interactive web applications. YUI 2 is a mature
version of the library that has been in production since 2006. The
code line is comprised of a comprehensive collection of over 30
utilities and widgets.

This package installs YUI2 library to Jenkins webapp directory.

%prep
%setup -q -n js-yui-%{version}

%patch -P 0 -p1

# build mimified versions
for f in `find -name "*.js"`; do
    bn="${f%.js}"
    bn="${bn}-min.js"
    slimit --mangle < ${f} > ${bn}
done

cp %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{_jsdir}/%{name}
cp -pr build/* %{buildroot}%{_jsdir}/%{name}
mkdir -p %{buildroot}%{webroot}/scripts/
cp -pr build/ %{buildroot}%{webroot}/scripts/yui

%files
%{_jsdir}/%{name}
%doc LICENSE-BSD

%files jenkins
%{webroot}/scripts/yui
%doc LICENSE-BSD



%changelog
* Sun Dec 22 2024 pterjan <pterjan> 2.9.0-14.mga10
+ Revision: 2127689
- Rebuild for patchN deprecation

* Thu Mar 24 2022 umeabot <umeabot> 2.9.0-13.mga9
+ Revision: 1824159
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.9.0-12.mga8
+ Revision: 1490878
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.9.0-11.mga7
+ Revision: 1262454
- Mageia 7 Mass Rebuild

* Thu Mar 03 2016 neoclust <neoclust> 2.9.0-10.mga6
+ Revision: 984892
- imported package js-yui2

